# Wi-Fi hotspot clients connected

An action block that get information about the clients currently connected to the Wi-Fi hotspot.

If the proceed option is set to Immediately, then get the currently connected clients without pausing the fiber. If set to When changed, then the fiber will pause until the connected clients has changed.

Note! This feature isn’t officially supported and requires Android 9+, may not work on all devices.

## Options

- Proceed — when the fiber should proceed.

## Output variables

- Client count — variable to assign the number of connected clients.
- Clients MAC addresses — variable to assign an array with the MAC address of each connected client, i.e. size of client count. (Android 11+)